

/**
 * 分享相关接口
 */
import request from '@/utils/request'
const baseUrl = '/v1/api'

export const share = data => {
    return request({
        url: baseUrl + '/doc/share',
        method: 'post',
        data
    })
}

export const getShare = params => {
    return request({
        url: baseUrl + '/user/todolist/mine',
        method: 'get',
        params
    })
}

// 获取我的分享的列表(个人使用)
export const getMyShareList = params => {
    return request({
        url: baseUrl + '/folder/share/shareList',
        method: 'get',
        params
    })
}

// 分享管理列表（管理员使用）
export const getAdminShareList = params => {
    return request({
        url: baseUrl + '/folder/share/searchShareList',
        method: 'get',
        params
    })
}


